UHD 003.004.003-0-unknown

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Namespaces | Classes | Functions
uhd::transport Namespace Reference

## Namespaces
namespace | vrt

## Classes
class | bounded_buffer
class | buffer_pool
struct | if_addrs_t
class | udp_simple
class | udp_zero_copy
class | usb_control
class | usb_device_handle
class | usb_zero_copy
class | managed_recv_buffer
class | managed_send_buffer
class | zero_copy_if

## Functions
UHD_API std::vector< if_addrs_t > | get_if_addrs (void)
template<typename T >
UHD_INLINE boost::intrusive_ptr< T > | make_managed_buffer (T *p)
| Create smart pointer to a reusable managed buffer. More...
UHD_INLINE void | intrusive_ptr_add_ref (managed_recv_buffer *p)
UHD_INLINE void | intrusive_ptr_release (managed_recv_buffer *p)
UHD_INLINE void | intrusive_ptr_add_ref (managed_send_buffer *p)
UHD_INLINE void | intrusive_ptr_release (managed_send_buffer *p)

## Function Documentation

UHD_API std::vector<if_addrs_t> uhd::transport::get_if_addrs | ( | void |  | ) |

Get a list of network interface addresses. The internal implementation is system-dependent.

Returns
  a vector of if addrs

UHD_INLINE void uhd::transport::intrusive_ptr_add_ref | ( | managed_recv_buffer * | p | ) |

UHD_INLINE void uhd::transport::intrusive_ptr_add_ref | ( | managed_send_buffer * | p | ) |

UHD_INLINE void uhd::transport::intrusive_ptr_release | ( | managed_recv_buffer * | p | ) |

UHD_INLINE void uhd::transport::intrusive_ptr_release | ( | managed_send_buffer * | p | ) |

template<typename T >

UHD_INLINE boost::intrusive_ptr<T> uhd::transport::make_managed_buffer | ( | T * | p | ) |

Create smart pointer to a reusable managed buffer.